Get a background task
GET
/background-tasks/{task_id}/
const url = 'https://api.semantico.ai/api/v1/background-tasks/example/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.semantico.ai/api/v1/background-tasks/example/ \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”task_id
required
string
Responses
Section titled “Responses”Background task
Media typeapplication/json
object
id
integer
celery_task_id
string
task_type
string
task_type_label
string
status
string
progress
object
current
integer
total
integer
percentage
integer | null
message
string
timing
object
created_at
string format: date-time
started_at
string | null format: date-time
finished_at
string | null format: date-time
updated_at
string format: date-time
elapsed_seconds
integer
error
object | null
result
object | null
resource
object | null
metadata
object
Example
{ "status": "pending"}Resource does not exist.
Media typeapplication/json
object
detail
string
Examplegenerated
{ "detail": "example"}